Package org.eclipse.birt.chart.extension.datafeed

# Class StockEntry

java.lang.Object
org.eclipse.birt.chart.extension.datafeed.StockEntry

All Implemented Interfaces:
  `IDataPointEntry`

public final class StockEntry extends Object implements IDataPointEntry
StockEntry

## Constructor Summary

Constructors
Constructor
Description
`StockEntry(double dOpen, double dLow, double dHigh, double dClose)`
`StockEntry(Object[] oaFourComponents)`

## Method Summary

Modifier and Type
Method
Description
`double`
`getClose()`
`String`
`getFormattedString(String type, FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)`
Returns the formatted string representation of current object by given formatter and locale.
`String`
`getFormattedString(FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)`
Returns the formatted string representation of current object by given formatter and locale.
`double`
`getHigh()`
`double`
`getLow()`
`double`
`getOpen()`
`boolean`
`isValid()`
Returns if the DataPointEntry is valid.
`void`
`setClose(double close)`
`void`
`setHigh(double high)`
`void`
`setLow(double low)`
`void`
`setOpen(double open)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StockEntry

public StockEntry(double dOpen, double dLow, double dHigh, double dClose)

Parameters:
  `dOpen` -
  `dLow` -
  `dHigh` -
  `dClose` -

### StockEntry

public StockEntry(Object[] oaFourComponents)

Parameters:
  `oaFourComponents` -

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getClose

public double getClose()

Returns:
  Returns the close.

### setClose

public void setClose(double close)

Parameters:
  `close` - The close to set.

### getHigh

public double getHigh()

Returns:
  Returns the high.

### setHigh

public void setHigh(double high)

Parameters:
  `high` - The high to set.

### getLow

public double getLow()

Returns:
  Returns the low.

### setLow

public void setLow(double low)

Parameters:
  `low` - The low to set.

### getOpen

public double getOpen()

Returns:
  Returns the open.

### setOpen

public void setOpen(double open)

Parameters:
  `open` - The open to set.

### getFormattedString

public String getFormattedString(String type, FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)
Description copied from interface: `IDataPointEntry`
Returns the formatted string representation of current object by given formatter and locale.

Specified by:
  `getFormattedString` in interface `IDataPointEntry`
Parameters:
  `type` - data point type
  `formatter` - An formatter
  `locale` - Specific locale.
Returns:
  The string representation
See Also:
  - invalid reference

        #getDataPointTypes()

### getFormattedString

public String getFormattedString(FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)
Description copied from interface: `IDataPointEntry`
Returns the formatted string representation of current object by given formatter and locale.

Specified by:
  `getFormattedString` in interface `IDataPointEntry`
Parameters:
  `formatter` - An formatter
  `locale` - Specific locale.
Returns:
  The string representation

### isValid

public boolean isValid()
Description copied from interface: `IDataPointEntry`
Returns if the DataPointEntry is valid.

Specified by:
  `isValid` in interface `IDataPointEntry`
Returns:
  value or not